<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
	extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">

	<!-- use the 'main' layout -->
	<xsl:import href="layouts/main.xsl"/>
	
	<!-- style includes global params interface_name, library_name -->
	<xsl:include href=".old/berrytools.xsl"/>
	
	<xsl:variable name="bookswitch">
		<xsl:choose>
			<xsl:when test="/page/pageRequest/paramList/param[@name='book']/@value">
				<xsl:value-of select="/page/pageRequest/paramList/param[@name='book']/@value"/>
			</xsl:when>
			<xsl:otherwise>off</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>

	<!-- the page content -->
	<xsl:template match="/page/pageResponse/document">
	
		<xsl:if test="$bookswitch = 'off'">
			<div id="bookdiv" style="visibility:hidden; height:0px; display:inline;"><xsl:text> </xsl:text></div>
		
			<script type="text/javascript" src="interfaces/{$interface_name}/js/document_scripts.js"><xsl:text> </xsl:text></script>
			
		<script type="text/javascript" src="sites/localsite/collect/peijones/js/documentmaker/BrowserDetect.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="sites/localsite/collect/peijones/js/documentmaker/PhotoNotes-1.5.js"><xsl:text> </xsl:text></script>
		<link rel="stylesheet" type="text/css" href="sites/localsite/collect/peijones/style/PhotoNotes-1.5.css"/>
		<div class="Photo fn-container" id="PhotoContainer">
			<img src="sites/localsite/collect/peijones/images/photo/0_PAColl-0671-01korokijones.jpg" />
		</div>

		<input type="button" value="Tag Photo!" style="margin-left:30px;" onclick="AddNote();" />
		<script type="text/javascript">
			<xsl:text disable-output-escaping="yes">
				/* create the Photo Note Container */
                var notes = new PhotoNoteContainer(document.getElementById('PhotoContainer'));
                var posCount = 0;
				
				function deleteFunction(note)
				{
					var callback =
					{
						success: function(response)
						{
							var updateCallback = 
							{
								success: function(response){},
								failed: function(){}
							};
							
							var updateURL = gs.siteMetadata.siteURL.replace("8080","9090") + gs.xsltParams.library_name + "?a=s&amp;sa=c";
							YAHOO.util.Connect.asyncRequest("GET", updateURL, updateCallback);
						},
						failed: function(){},
					};
					
					var url = gs.siteMetadata.siteURL.replace("8080","9090") + "cgi-bin/metadata-server.pl?a=remove-metadata&amp;site=localsite&amp;c=" + gs.cgiParams.c + "&amp;d=" + gs.cgiParams.d + "&amp;metaname=gsimg.photoNote";
					YAHOO.util.Connect.asyncRequest("GET", url, callback);
					return true;
				}
				
                function saveFunction(note)
				{
					var callback = 
					{
						success: function(response)
						{
							var updateCallback = 
							{
								success: function(response){},
								failed: function(){}
							};
							
							var updateURL = gs.siteMetadata.siteURL.replace("8080","9090") + gs.xsltParams.library_name + "?a=s&amp;sa=c";
							YAHOO.util.Connect.asyncRequest("GET", updateURL, updateCallback);
						},
						failed: function(){},
					};
					
					var jsonVal = '{"caption":"' + note.text + '", "area":{"x":' + note.rect.left + ', "y":' + note.rect.top + ', "width":' + note.rect.width + ', "height":' + note.rect.height + '}}';
					var saveURL = gs.siteMetadata.siteURL.replace("8080","9090") + "cgi-bin/metadata-server.pl?a=set-metadata&amp;site=localsite&amp;c=" + gs.cgiParams.c + "&amp;d=" + gs.cgiParams.d + "&amp;metaname=gsimg.photoNote&amp;metavalue=" + jsonVal + "&amp;metapos=" + ((note &amp;&amp; note.id &amp;&amp; note.id &gt; 0) ? note.id - 1 : posCount);
					YAHOO.util.Connect.asyncRequest("GET", saveURL, callback);
					
					return 1;
				}				
				
				function getNotes()
				{
					if(gs.variables.photoNotes == null || gs.variables.photoNotes == undefined)
					{
						console.log("No photo notes");
						return;
					}
					
					for(var i = 0; i &lt; gs.variables.photoNotes.length; i++)
					{
						var note = gs.variables.photoNotes[i];
						if(!note)
						{
							continue;
						}
						var newNote = new PhotoNote(note.caption, i+1, new PhotoNoteRect(note.area.x,note.area.y,note.area.width,note.area.height));
						newNote.onsave = saveFunction;
						newNote.ondelete = deleteFunction;
						notes.AddNote(newNote);
					}
					posCount = gs.variables.photoNotes.length - 1;
				}
                
                function AddNote()
                {
                    var newNote = new PhotoNote('Add note text here...',posCount++,new PhotoNoteRect(10,10,50,50));
					newNote.onsave = saveFunction;
                    newNote.ondelete = deleteFunction;
                    notes.AddNote(newNote);
                    newNote.Select();
                }
				window.onload = function(){getNotes(); readyImagesForZoom();};
			</xsl:text>
		</script>
			
			<!-- Adds the realistic books javascript if necessary ( *** in document-scripts.xsl *** ) -->
			<xsl:if test="/page/pageResponse/collection[@name = $collName]/metadataList/metadata[@name = 'tidyoption'] = 'tidy'">
				<script type="text/javascript">
					<xsl:text disable-output-escaping="yes">
						if(document.URL.indexOf("book=on") != -1)
						{
							loadBook();
						}
					</xsl:text>
				</script>
			</xsl:if>
		
			<!-- show the little berries for this document -->
			<xsl:call-template name="documentBerryForDocumentPage"/>

			<table id="rightSidebar"> 
				<tr><td>
					<xsl:call-template name="viewOptions"/>
					<table class="viewOptions"><tr>
					<!-- Zoomer on/off button -->
					<xsl:if test="/page/pageRequest/paramList/param[@name = 'zoom']/@value = 'on'">
						<td>
							<img src="sites/localsite/collect/peijones/images/zoom.png"/>
							<input id="zoomOption" type="checkbox" class="optionCheckBox">
								<xsl:choose>
									<xsl:when test="/page/pageRequest/paramList/param[@name = 'zoom']/@value = 'on'">
										<xsl:attribute name="onclick">
											<xsl:text>removeZoom();</xsl:text>
										</xsl:attribute>
										<xsl:attribute name="checked">true</xsl:attribute>
										<script type="text/javascript">function init(){readyImagesForZoom();} window.onload = init;</script>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="onclick">
											<xsl:text>addZoom();</xsl:text>
										</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
							</input>
						</td>
					</xsl:if>
					</tr></table>
				</td></tr>
				<tr><td>
					<!-- the sidebar -->
					<div id="contentsArea">				
						<!-- show the berry basket if it's turned on -->
						<gslib:berryBasket/>

						<!-- the book's cover image -->
                        <xsl:choose>
                            <xsl:when test="/page/pageResponse/format[@type='display']/gsf:option[@name='coverImage']/@value='true'">
        						<div id="coverImage" class="visible"><gslib:coverImage/></div>
                            </xsl:when>
                            <xsl:otherwise>
        						<div id="coverImage" class="hidden"><gslib:coverImage/></div>
                            </xsl:otherwise>    
                        </xsl:choose>

						<!-- the contents (if enabled) -->
                        <xsl:choose>
                            <xsl:when test="/page/pageResponse/format[@type='display']/gsf:option[@name='TOC']/@value='true'">
    						    <div id="tableOfContents" class="visible">
							        <xsl:apply-templates select="documentNode" mode="TOC"/>
                                </div>
                            </xsl:when>    
                            <xsl:otherwise>
                                <div id="tableOfContents" class="hidden">
                                    <xsl:apply-templates select="documentNode" mode="TOC"/>
                                </div>
                            </xsl:otherwise>    
                        </xsl:choose>
					</div>
				</td></tr>
			</table>
		</xsl:if>
		
		<!-- display the document -->
		<xsl:choose>
			<xsl:when test="@external != ''">
				<xsl:call-template name="externalPage">
					<xsl:with-param name="external" select="@external"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$bookswitch = 'flashxml'">
				<xsl:apply-templates mode="flashxml"/>
			</xsl:when>
			<xsl:when test="$bookswitch = 'on'">
				<!-- *** in document-scripts.xsl *** -->
				<div id="bookdiv" style="display:inline;"><xsl:text> </xsl:text></div>
				<script type="text/javascript">
					<xsl:text disable-output-escaping="yes">
						if(document.URL.indexOf("book=on") != -1)
						{
							loadBook();
						}
					</xsl:text>
				</script>
			</xsl:when>
			<xsl:otherwise>
				<div id="gs-document-text" class="documenttext"> 
					<xsl:apply-templates select="documentNode" mode="document"/>
				</div>	
			</xsl:otherwise>
		</xsl:choose>

		<div class="clear"><xsl:text> </xsl:text></div>

	</xsl:template>
</xsl:stylesheet>

